package com.xydl.cac.controller;

import com.xydl.cac.iec.IecServerService;
import com.xydl.cac.model.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;

@RestController
@Api(tags = {"Iec服务端接口"})
@RequestMapping("iecserver")
@Slf4j
public class IecServerController extends BasicController {

    @Resource
    IecServerService iecServerService;

    @GetMapping("start")
    @ApiOperation("启动IEC服务端")
    public Response<String> start() throws Exception {
        iecServerService.startServer();
        return Response.success("OK");
    }

    @GetMapping("stop")
    @ApiOperation("停止IEC服务端")
    public Response<String> stop() throws Exception {
        iecServerService.stop();
        return Response.success("OK");
    }

    @GetMapping("status")
    @ApiOperation("查看IEC服务端状态")
    public Response<HashMap<String, Object>> status() throws Exception {
        HashMap<String, Object> map = iecServerService.status();
        return Response.success(map);
    }
}
