package com.xydl.cac.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "icd_ied")
@ApiModel("ied信息表")
public class IcdIed {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty(name = "ICD文件id")
    @Column(name = "icd_file_id")
    private Integer icdFileId;

    @ApiModelProperty(name = "ip")
    @Column(name = "ip")
    private String ip;

    @ApiModelProperty(name = "OSI-AP-Title")
    @Column(name = "ap_title")
    private String apTitle;

    @ApiModelProperty(name = "IED名称")
    @Column(name = "name")
    private String name;

}