package com.xydl.cac.iec;

import com.beanit.iec61850bean.*;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.IOUtils;

import java.io.InputStream;
import java.nio.charset.StandardCharsets;
import java.util.List;

@Slf4j
public class IecServer extends Thread implements ServerEventListener {
    ServerSap serverSap = null;
    ServerModel serversServerModel = null;

    public void startServer(String xml, int port) throws Exception {
        InputStream in = IOUtils.toInputStream(xml, StandardCharsets.UTF_8);
        serverSap = new ServerSap(port, 0, null, SclParser.parse(in).get(0), null);

        serverSap.setPort(port);
        serverSap.startListening(this);
        serversServerModel = serverSap.getModelCopy();
        this.start();
        log.info("已启动IEC61850服务端.");
    }

    public void close() {
        if (serverSap != null) {
            serverSap.stop();
            log.info("已停止IEC61850服务端.");
        }
    }

    @Override
    public List<ServiceError> write(List<BasicDataAttribute> bdas) {
        return null;
    }

    @Override
    public void serverStoppedListening(ServerSap serverSAP) {

    }
}
