package com.xydl.cac.iec;

import com.xydl.cac.entity.IcdFile;
import com.xydl.cac.repository.IcdFileRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.PreDestroy;
import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

@Service
@Slf4j
public class IecServerService {
    @Resource
    IcdFileRepository fileRepository;

    IecServer iecServer = new IecServer();
    boolean started = false;

    public void startServer() {
        if (!started) {
            List<IcdFile> icdFileList = fileRepository.findAll();
            if (!CollectionUtils.isEmpty(icdFileList)) {
                IcdFile icdFile = icdFileList.get(0);
                try {
                    iecServer.startServer(icdFile.getXml(), 102);
                    started = true;
                } catch (Exception e) {
                    log.error("启动IEC61850服务端异常.", e);
                }
            }
        }
    }

    @PreDestroy
    public void stop() {
        if (iecServer != null) {
            iecServer.close();
            started = false;
        }
    }

    public HashMap<String, Object> status() {
        HashMap<String, Object> map = new HashMap<>();
        map.put("port", 102);
        map.put("started", started);
        return map;
    }
}
